<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="02463b16-c3ff-4d25-b76a-12a144cb9476" name="Default" comment="管理员接口">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/protected/models/Redpack.php" beforeDir="false" afterPath="$PROJECT_DIR$/protected/models/Redpack.php" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/out/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ComposerSettings" doNotAsk="true" synchronizationState="SYNCHRONIZE">
    <pharConfigPath>$PROJECT_DIR$/protected/composer.json</pharConfigPath>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file leaf-file-name="GroupController.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/protected/controllers/GroupController.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="181">
              <caret line="887" column="5" selection-start-line="887" selection-start-column="5" selection-end-line="887" selection-end-column="5" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="DefaultController.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/protected/controllers/DefaultController.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="432">
              <caret line="118" column="21" selection-start-line="118" selection-start-column="21" selection-end-line="118" selection-end-column="21" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="SessionController.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/protected/controllers/SessionController.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-5">
              <caret line="52" column="36" selection-start-line="52" selection-start-column="36" selection-end-line="52" selection-end-column="36" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="Session.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/protected/models/Session.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="338">
              <caret line="331" column="36" lean-forward="true" selection-start-line="331" selection-start-column="36" selection-end-line="331" selection-end-column="36" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="Redpack.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/protected/models/Sync/Redpack.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="412">
              <caret line="46" column="39" selection-start-line="46" selection-start-column="39" selection-end-line="46" selection-end-column="39" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="Redpack.php" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/protected/models/Redpack.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="413">
              <caret line="138" column="56" selection-start-line="138" selection-start-column="56" selection-end-line="138" selection-end-column="56" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="GroupInfo.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/protected/models/GroupInfo.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="205">
              <caret line="241" column="5" selection-start-line="241" selection-start-column="5" selection-end-line="241" selection-end-column="5" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="config.inc.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/protected/conf/config.inc.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="385">
              <caret line="38" column="34" selection-start-line="38" selection-start-column="34" selection-end-line="38" selection-end-column="34" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="config.new.inc.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/protected/conf/config.new.inc.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="418">
              <caret line="34" column="26" selection-start-line="34" selection-start-column="26" selection-end-line="34" selection-end-column="26" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="config.dev.inc.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/protected/conf/config.dev.inc.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="383">
              <caret line="34" column="10" selection-start-line="34" selection-start-column="10" selection-end-line="34" selection-end-column="10" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="HTML File" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>pushGroupEvent</find>
      <find>$GLOBALS['verifyPath']</find>
      <find>HOST</find>
      <find>URL</find>
      <find>ch</find>
      <find>$GLOBALS['walletPwd']</find>
      <find>no pe</find>
      <find>pad</find>
      <find>padin</find>
      <find>padding</find>
      <find>encodePwd</find>
      <find>禁言</find>
      <find>quanti</find>
      <find>amount</find>
      <find>mysql</find>
      <find>cover_photo</find>
      <find>ssl</find>
      <find>dw_eos</find>
      <find>get</find>
      <find>$domain</find>
      <find>AWS</find>
      <find>cov</find>
      <find>getUserNameById</find>
      <find>getUserName</find>
      <find>sessionId</find>
      <find>session is</find>
      <find>user_id</find>
    </findStrings>
    <dirStrings>
      <dir>$PROJECT_DIR$/protected/bin</dir>
    </dirStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/protected/common.php" />
        <option value="$PROJECT_DIR$/protected/models/ThirdApi.php" />
        <option value="$PROJECT_DIR$/protected/models/PersonMsg.php" />
        <option value="$PROJECT_DIR$/protected/models/ChatAES.php" />
        <option value="$PROJECT_DIR$/protected/models/Sync/Offer.php" />
        <option value="$PROJECT_DIR$/protected/views/test.html" />
        <option value="$PROJECT_DIR$/protected/models/Sync/Base.php" />
        <option value="$PROJECT_DIR$/protected/extensions/Utils.php" />
        <option value="$PROJECT_DIR$/protected/models/Eos.php" />
        <option value="$PROJECT_DIR$/protected/models/GroupMsg.php" />
        <option value="$PROJECT_DIR$/protected/bin/cron/fixRedpackLog.php" />
        <option value="$PROJECT_DIR$/protected/bin/test/playground.php" />
        <option value="$PROJECT_DIR$/protected/bin/test/aes-benchmark.php" />
        <option value="$PROJECT_DIR$/protected/models/Sync/Redpack.php" />
        <option value="$PROJECT_DIR$/protected/controllers/RedpackController.php" />
        <option value="/Applications/GoLand.app/Contents/bin/goland.vmoptions" />
        <option value="$PROJECT_DIR$/protected/models/Sync/LoginLog.php" />
        <option value="$PROJECT_DIR$/protected/bin/sync/syncAll.php" />
        <option value="$PROJECT_DIR$/protected/models/Account.php" />
        <option value="$PROJECT_DIR$/protected/models/Sync/RedpackLog.php" />
        <option value="$PROJECT_DIR$/protected/models/RedpackLog.php" />
        <option value="$USER_HOME$/Library/Mobile Documents/iCloud~run~surge/Documents/ss-tokyo2.conf" />
        <option value="$USER_HOME$/Library/Mobile Documents/iCloud~run~surge/Documents/ss-meechat.conf" />
        <option value="$PROJECT_DIR$/protected/models/FileUrl.php" />
        <option value="$PROJECT_DIR$/protected/extensions/function_extend.php" />
        <option value="$PROJECT_DIR$/protected/controllers/SessionController.php" />
        <option value="$PROJECT_DIR$/protected/models/UserGroup.php" />
        <option value="$PROJECT_DIR$/protected/models/GroupInfo.php" />
        <option value="$PROJECT_DIR$/protected/controllers/UserController.php" />
        <option value="$PROJECT_DIR$/protected/models/User.php" />
        <option value="$PROJECT_DIR$/protected/controllers/PersonController.php" />
        <option value="$PROJECT_DIR$/protected/conf/config.inc.php" />
        <option value="$PROJECT_DIR$/protected/conf/config.form.inc.php" />
        <option value="$PROJECT_DIR$/protected/conf/config.new.inc.php" />
        <option value="$PROJECT_DIR$/protected/conf/config.dev.inc.php" />
        <option value="$PROJECT_DIR$/protected/controllers/GroupController.php" />
        <option value="$PROJECT_DIR$/protected/controllers/DefaultController.php" />
        <option value="$PROJECT_DIR$/protected/models/Session.php" />
        <option value="$PROJECT_DIR$/protected/models/Redpack.php" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER">
    <package-json value="$PROJECT_DIR$/package.json" />
  </component>
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="NodePackageJsonFileManager">
    <packageJsonPaths>
      <path value="$PROJECT_DIR$/package.json" />
    </packageJsonPaths>
  </component>
  <component name="PackageJsonUpdateNotifier">
    <dismissed value="$PROJECT_DIR$/package.json" />
  </component>
  <component name="PhpWorkspaceProjectConfiguration">
    <include_path>
      <path value="$PROJECT_DIR$/protected/vendor/aws/aws-sdk-php" />
      <path value="$PROJECT_DIR$/protected/vendor/psr/http-message" />
      <path value="$PROJECT_DIR$/protected/vendor/mtdowling/jmespath.php" />
      <path value="$PROJECT_DIR$/protected/vendor/ralouphie/getallheaders" />
      <path value="$PROJECT_DIR$/protected/vendor/guzzlehttp/guzzle" />
      <path value="$PROJECT_DIR$/protected/vendor/guzzlehttp/psr7" />
      <path value="$PROJECT_DIR$/protected/vendor/kornrunner/keccak" />
      <path value="$PROJECT_DIR$/protected/vendor/guzzlehttp/promises" />
      <path value="$PROJECT_DIR$/protected/vendor/composer" />
      <path value="$PROJECT_DIR$/protected/vendor/symfony/polyfill-mbstring" />
      <path value="$PROJECT_DIR$/protected/vendor/phpseclib/phpseclib" />
      <path value="$PROJECT_DIR$/../../php_new/trunk/framework/phpbase2/protected" />
    </include_path>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="y" value="23" />
    <option name="width" value="1280" />
    <option name="height" value="704" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="mee-chat" type="b2602c69:ProjectViewProjectNode" />
              <item name="chat" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mee-chat" type="b2602c69:ProjectViewProjectNode" />
              <item name="chat" type="462c0819:PsiDirectoryNode" />
              <item name="protected" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mee-chat" type="b2602c69:ProjectViewProjectNode" />
              <item name="chat" type="462c0819:PsiDirectoryNode" />
              <item name="protected" type="462c0819:PsiDirectoryNode" />
              <item name="bin" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mee-chat" type="b2602c69:ProjectViewProjectNode" />
              <item name="chat" type="462c0819:PsiDirectoryNode" />
              <item name="protected" type="462c0819:PsiDirectoryNode" />
              <item name="bin" type="462c0819:PsiDirectoryNode" />
              <item name="cron" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mee-chat" type="b2602c69:ProjectViewProjectNode" />
              <item name="chat" type="462c0819:PsiDirectoryNode" />
              <item name="protected" type="462c0819:PsiDirectoryNode" />
              <item name="bin" type="462c0819:PsiDirectoryNode" />
              <item name="run" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mee-chat" type="b2602c69:ProjectViewProjectNode" />
              <item name="chat" type="462c0819:PsiDirectoryNode" />
              <item name="protected" type="462c0819:PsiDirectoryNode" />
              <item name="conf" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mee-chat" type="b2602c69:ProjectViewProjectNode" />
              <item name="chat" type="462c0819:PsiDirectoryNode" />
              <item name="protected" type="462c0819:PsiDirectoryNode" />
              <item name="controllers" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mee-chat" type="b2602c69:ProjectViewProjectNode" />
              <item name="chat" type="462c0819:PsiDirectoryNode" />
              <item name="protected" type="462c0819:PsiDirectoryNode" />
              <item name="extensions" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mee-chat" type="b2602c69:ProjectViewProjectNode" />
              <item name="chat" type="462c0819:PsiDirectoryNode" />
              <item name="protected" type="462c0819:PsiDirectoryNode" />
              <item name="models" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mee-chat" type="b2602c69:ProjectViewProjectNode" />
              <item name="chat" type="462c0819:PsiDirectoryNode" />
              <item name="protected" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mee-chat" type="b2602c69:ProjectViewProjectNode" />
              <item name="chat" type="462c0819:PsiDirectoryNode" />
              <item name="protected" type="462c0819:PsiDirectoryNode" />
              <item name="views" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mee-chat" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="DefaultHtmlFileTemplate" value="HTML File" />
    <property name="GO_FMT" value="false" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="go.gopath.indexing.explicitly.defined" value="true" />
    <property name="go.vendoring.notification.had.been.shown" value="true" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="/usr/local/bin/node" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="nodejs_package_manager_path" value="npm" />
    <property name="php.override.implement.member.chooser.php.doc" value="NONE" />
    <property name="project.structure.last.edited" value="Project" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.0" />
    <property name="settings.editor.selected.configurable" value="reference.webide.settings.project.settings.php" />
    <property name="show.migrate.to.gradle.popup" value="false" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/protected/models/Sync" />
      <recent name="$PROJECT_DIR$/protected/models" />
      <recent name="$PROJECT_DIR$/protected/bin/cron" />
      <recent name="$PROJECT_DIR$/protected/controllers" />
      <recent name="$PROJECT_DIR$/protected/bin/test" />
    </key>
  </component>
  <component name="RestoreUpdateTree" date="Moments ago" ActionInfo="_Update">
    <UpdatedFiles>
      <FILE-GROUP>
        <option name="myUpdateName" value="Updated from server" />
        <option name="myStatusName" value="Changed on server" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="CHANGED_ON_SERVER" />
        <FILE-GROUP>
          <option name="myUpdateName" value="Updated" />
          <option name="myStatusName" value="Changed" />
          <option name="mySupportsDeletion" value="false" />
          <option name="myCanBeAbsent" value="false" />
          <option name="myId" value="UPDATED" />
          <PATH vcs="Git" revision="">$PROJECT_DIR$/_src/api/index.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/_src/api/modules/group.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/_src/components/chatGroudMgr/index.vue</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/_src/components/chatMini/chatMini.vue</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/_src/components/chatRoom/inputArea.vue</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/_src/components/emoji/index.vue</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/_src/components/msgItem/index.vue</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/_src/components/msgItem/time.vue</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/_src/components/panel/panel.vue</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/_src/components/panel/sessionItem.vue</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/_src/components/popup/invite/index.vue</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/_src/components/popup/invite/style.scss</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/_src/mixins/chat.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/_src/mixins/index.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/_src/store/module/chat.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/_src/store/module/group/actions.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/_src/style/base.scss</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/_src/util/emoji.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/_src/util/util.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/sw.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/package-lock.json</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/package.json</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/protected/views/h5.html</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/protected/views/index.html</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/protected/views/mini.html</PATH>
        </FILE-GROUP>
        <FILE-GROUP>
          <option name="myUpdateName" value="Created" />
          <option name="myStatusName" value="Created" />
          <option name="mySupportsDeletion" value="false" />
          <option name="myCanBeAbsent" value="false" />
          <option name="myId" value="CREATED" />
          <PATH vcs="Git" revision="">$PROJECT_DIR$/_src/api/modules/base.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/_src/assets/icon-chat-group.png</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/css/chunk-440b043b.581a671d.css</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/css/chunk-731f525d.3573f044.css</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/css/chunk-ca336f7e.b6c52502.css</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/css/chunk-common.ec6e6b5c.css</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/css/h5.b36a6392.css</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/css/index.f3e620bc.css</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/css/mini.ac6587dc.css</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/js/chunk-27827e9c.fc723a06.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/js/chunk-440b043b.28f09e32.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/js/chunk-731f525d.b2601b3c.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/js/chunk-ca336f7e.c80a61a9.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/js/chunk-common.13e9509a.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/js/chunk-vendors.3e86b43c.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/js/h5.65d13b1c.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/js/index.a0fc202a.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/js/mini.3af6a71c.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/precache-manifest.82ec31ae02d629bacab8dbb02ce11ec3.js</PATH>
        </FILE-GROUP>
        <FILE-GROUP>
          <option name="myUpdateName" value="Deleted" />
          <option name="myStatusName" value="Deleted" />
          <option name="mySupportsDeletion" value="false" />
          <option name="myCanBeAbsent" value="true" />
          <option name="myId" value="REMOVED_FROM_REPOSITORY" />
          <PATH vcs="Git" revision="">$PROJECT_DIR$/_src/components/emoji/pc.vue</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/css/chunk-2bfa1569.900602ea.css</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/css/chunk-87e4d9de.76262530.css</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/css/chunk-common.e2ba3baf.css</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/css/chunk-dc040b34.b12cdbb4.css</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/css/h5.cc9f687b.css</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/css/index.f859116f.css</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/css/mini.eb6cdb67.css</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/js/chunk-27827e9c.877bbf28.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/js/chunk-2bfa1569.d2af7a1d.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/js/chunk-87e4d9de.2c36834f.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/js/chunk-common.c004bf65.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/js/chunk-dc040b34.4a17ab7f.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/js/chunk-vendors.a4ce95f3.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/js/h5.33f0e200.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/js/index.f708c9cc.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/js/mini.a9217591.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/precache-manifest.bb9fed9fcf675d916091b53a1d3c6a09.js</PATH>
        </FILE-GROUP>
        <FILE-GROUP>
          <option name="myUpdateName" value="Restored" />
          <option name="myStatusName" value="Will be restored" />
          <option name="mySupportsDeletion" value="false" />
          <option name="myCanBeAbsent" value="false" />
          <option name="myId" value="RESTORED" />
        </FILE-GROUP>
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Modified" />
        <option name="myStatusName" value="Modified" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="MODIFIED" />
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Skipped" />
        <option name="myStatusName" value="Skipped" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="SKIPPED" />
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Merged with conflicts" />
        <option name="myStatusName" value="Will be merged with conflicts" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="MERGED_WITH_CONFLICTS" />
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Merged with tree conflicts" />
        <option name="myStatusName" value="Merged with tree conflicts" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="MERGED_WITH_TREE_CONFLICT" />
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Merged with property conflicts" />
        <option name="myStatusName" value="Will be merged with property conflicts" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="MERGED_WITH_PROPERTY_CONFLICT" />
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Merged" />
        <option name="myStatusName" value="Will be merged" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="MERGED" />
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Not in repository" />
        <option name="myStatusName" value="Not in repository" />
        <option name="mySupportsDeletion" value="true" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="UNKNOWN" />
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Locally added" />
        <option name="myStatusName" value="Locally added" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="LOCALLY_ADDED" />
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Locally removed" />
        <option name="myStatusName" value="Locally removed" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="LOCALLY_REMOVED" />
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Switched" />
        <option name="myStatusName" value="Switched" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="SWITCHED" />
      </FILE-GROUP>
    </UpdatedFiles>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="Applet" factoryName="Applet">
      <option name="POLICY_FILE" value="$APPLICATION_HOME_DIR$/bin/appletviewer.policy" />
    </configuration>
    <configuration default="true" type="Application" factoryName="Application">
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <patterns />
    </configuration>
    <configuration default="true" type="TestNG" factoryName="TestNG">
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="SUITE_NAME" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="GROUP_NAME" />
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <option name="OUTPUT_DIRECTORY" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <option name="USE_DEFAULT_REPORTERS" value="false" />
      <option name="PROPERTIES_FILE" />
      <properties />
      <listeners />
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration>$USER_HOME$/.subversion</configuration>
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="02463b16-c3ff-4d25-b76a-12a144cb9476" name="Default" comment="" />
      <created>1547777007598</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1547777007598</updated>
      <workItem from="1547777010014" duration="15372000" />
      <workItem from="1547865927460" duration="107215000" />
      <workItem from="1548747269936" duration="5038000" />
      <workItem from="1548753454565" duration="45000" />
      <workItem from="1548753554994" duration="59157000" />
      <workItem from="1549867217293" duration="9944000" />
      <workItem from="1550041113155" duration="1000000" />
      <workItem from="1550196241399" duration="19473000" />
      <workItem from="1550629579438" duration="23230000" />
      <workItem from="1550732028257" duration="37108000" />
    </task>
    <task id="LOCAL-00083" summary="私聊红包信息也通知自己">
      <created>1550196546341</created>
      <option name="number" value="00083" />
      <option name="presentableId" value="LOCAL-00083" />
      <option name="project" value="LOCAL" />
      <updated>1550196546342</updated>
    </task>
    <task id="LOCAL-00084" summary="修改判断">
      <created>1550197270739</created>
      <option name="number" value="00084" />
      <option name="presentableId" value="LOCAL-00084" />
      <option name="project" value="LOCAL" />
      <updated>1550197270740</updated>
    </task>
    <task id="LOCAL-00085" summary="bugfix">
      <created>1550474814969</created>
      <option name="number" value="00085" />
      <option name="presentableId" value="LOCAL-00085" />
      <option name="project" value="LOCAL" />
      <updated>1550474814969</updated>
    </task>
    <task id="LOCAL-00086" summary="管理员接口">
      <created>1550477165299</created>
      <option name="number" value="00086" />
      <option name="presentableId" value="LOCAL-00086" />
      <option name="project" value="LOCAL" />
      <updated>1550477165299</updated>
    </task>
    <task id="LOCAL-00087" summary="分享跳转连接">
      <created>1550546417843</created>
      <option name="number" value="00087" />
      <option name="presentableId" value="LOCAL-00087" />
      <option name="project" value="LOCAL" />
      <updated>1550546417843</updated>
    </task>
    <task id="LOCAL-00088" summary="群成员搜索接口">
      <created>1550563363561</created>
      <option name="number" value="00088" />
      <option name="presentableId" value="LOCAL-00088" />
      <option name="project" value="LOCAL" />
      <updated>1550563363561</updated>
    </task>
    <task id="LOCAL-00089" summary="处理图片">
      <created>1550565255788</created>
      <option name="number" value="00089" />
      <option name="presentableId" value="LOCAL-00089" />
      <option name="project" value="LOCAL" />
      <updated>1550565255788</updated>
    </task>
    <task id="LOCAL-00090" summary="调整数据">
      <created>1550570045573</created>
      <option name="number" value="00090" />
      <option name="presentableId" value="LOCAL-00090" />
      <option name="project" value="LOCAL" />
      <updated>1550570045573</updated>
    </task>
    <task id="LOCAL-00091" summary="支持批量添加管理员">
      <created>1550629855421</created>
      <option name="number" value="00091" />
      <option name="presentableId" value="LOCAL-00091" />
      <option name="project" value="LOCAL" />
      <updated>1550629855422</updated>
    </task>
    <task id="LOCAL-00092" summary="调整创建群数量">
      <created>1550630786477</created>
      <option name="number" value="00092" />
      <option name="presentableId" value="LOCAL-00092" />
      <option name="project" value="LOCAL" />
      <updated>1550630786477</updated>
    </task>
    <task id="LOCAL-00093" summary="bugfix">
      <created>1550632566057</created>
      <option name="number" value="00093" />
      <option name="presentableId" value="LOCAL-00093" />
      <option name="project" value="LOCAL" />
      <updated>1550632566057</updated>
    </task>
    <task id="LOCAL-00094" summary="调整参数">
      <created>1550643823987</created>
      <option name="number" value="00094" />
      <option name="presentableId" value="LOCAL-00094" />
      <option name="project" value="LOCAL" />
      <updated>1550643823987</updated>
    </task>
    <task id="LOCAL-00095" summary="调整">
      <created>1550644131314</created>
      <option name="number" value="00095" />
      <option name="presentableId" value="LOCAL-00095" />
      <option name="project" value="LOCAL" />
      <updated>1550644131314</updated>
    </task>
    <task id="LOCAL-00096" summary="记录最后一条消息序号">
      <created>1550646070741</created>
      <option name="number" value="00096" />
      <option name="presentableId" value="LOCAL-00096" />
      <option name="project" value="LOCAL" />
      <updated>1550646070742</updated>
    </task>
    <task id="LOCAL-00097" summary="未读消息数量">
      <created>1550648290786</created>
      <option name="number" value="00097" />
      <option name="presentableId" value="LOCAL-00097" />
      <option name="project" value="LOCAL" />
      <updated>1550648290786</updated>
    </task>
    <task id="LOCAL-00098" summary="图片cdn">
      <created>1550648569756</created>
      <option name="number" value="00098" />
      <option name="presentableId" value="LOCAL-00098" />
      <option name="project" value="LOCAL" />
      <updated>1550648569756</updated>
    </task>
    <task id="LOCAL-00099" summary="新消息添加name字段">
      <created>1550650214682</created>
      <option name="number" value="00099" />
      <option name="presentableId" value="LOCAL-00099" />
      <option name="project" value="LOCAL" />
      <updated>1550650214683</updated>
    </task>
    <task id="LOCAL-00100" summary="文件存活时间">
      <created>1550654009256</created>
      <option name="number" value="00100" />
      <option name="presentableId" value="LOCAL-00100" />
      <option name="project" value="LOCAL" />
      <updated>1550654009256</updated>
    </task>
    <task id="LOCAL-00101" summary="上传文件添加存活时间控制">
      <created>1550654959316</created>
      <option name="number" value="00101" />
      <option name="presentableId" value="LOCAL-00101" />
      <option name="project" value="LOCAL" />
      <updated>1550654959316</updated>
    </task>
    <task id="LOCAL-00102" summary="调整数据">
      <created>1550655380289</created>
      <option name="number" value="00102" />
      <option name="presentableId" value="LOCAL-00102" />
      <option name="project" value="LOCAL" />
      <updated>1550655380289</updated>
    </task>
    <task id="LOCAL-00103" summary="bugfix">
      <created>1550655871749</created>
      <option name="number" value="00103" />
      <option name="presentableId" value="LOCAL-00103" />
      <option name="project" value="LOCAL" />
      <updated>1550655871750</updated>
    </task>
    <task id="LOCAL-00104" summary="调整时间参数">
      <created>1550656634223</created>
      <option name="number" value="00104" />
      <option name="presentableId" value="LOCAL-00104" />
      <option name="project" value="LOCAL" />
      <updated>1550656634223</updated>
    </task>
    <task id="LOCAL-00105" summary="群认证申请接口">
      <created>1550657817802</created>
      <option name="number" value="00105" />
      <option name="presentableId" value="LOCAL-00105" />
      <option name="project" value="LOCAL" />
      <updated>1550657817802</updated>
    </task>
    <task id="LOCAL-00106" summary="加密数据">
      <created>1550658064826</created>
      <option name="number" value="00106" />
      <option name="presentableId" value="LOCAL-00106" />
      <option name="project" value="LOCAL" />
      <updated>1550658064827</updated>
    </task>
    <task id="LOCAL-00107" summary="分桶存储文件">
      <created>1550720413755</created>
      <option name="number" value="00107" />
      <option name="presentableId" value="LOCAL-00107" />
      <option name="project" value="LOCAL" />
      <updated>1550720413755</updated>
    </task>
    <task id="LOCAL-00108" summary="临时图片链接">
      <created>1550720695417</created>
      <option name="number" value="00108" />
      <option name="presentableId" value="LOCAL-00108" />
      <option name="project" value="LOCAL" />
      <updated>1550720695417</updated>
    </task>
    <task id="LOCAL-00109" summary="申请不发事件">
      <created>1550729718094</created>
      <option name="number" value="00109" />
      <option name="presentableId" value="LOCAL-00109" />
      <option name="project" value="LOCAL" />
      <updated>1550729718094</updated>
    </task>
    <task id="LOCAL-00110" summary="删除会话功能">
      <created>1550738068176</created>
      <option name="number" value="00110" />
      <option name="presentableId" value="LOCAL-00110" />
      <option name="project" value="LOCAL" />
      <updated>1550738068178</updated>
    </task>
    <task id="LOCAL-00111" summary="修改数据">
      <created>1550742968171</created>
      <option name="number" value="00111" />
      <option name="presentableId" value="LOCAL-00111" />
      <option name="project" value="LOCAL" />
      <updated>1550742968172</updated>
    </task>
    <task id="LOCAL-00112" summary="管理员接口">
      <created>1550801803405</created>
      <option name="number" value="00112" />
      <option name="presentableId" value="LOCAL-00112" />
      <option name="project" value="LOCAL" />
      <updated>1550801803405</updated>
    </task>
    <task id="LOCAL-00113" summary="处理头像">
      <created>1550802602365</created>
      <option name="number" value="00113" />
      <option name="presentableId" value="LOCAL-00113" />
      <option name="project" value="LOCAL" />
      <updated>1550802602365</updated>
    </task>
    <task id="LOCAL-00114" summary="pin_time_int">
      <created>1550803162248</created>
      <option name="number" value="00114" />
      <option name="presentableId" value="LOCAL-00114" />
      <option name="project" value="LOCAL" />
      <updated>1550803162248</updated>
    </task>
    <task id="LOCAL-00115" summary="排序">
      <created>1550803941113</created>
      <option name="number" value="00115" />
      <option name="presentableId" value="LOCAL-00115" />
      <option name="project" value="LOCAL" />
      <updated>1550803941113</updated>
    </task>
    <task id="LOCAL-00116" summary="转移群主接口">
      <created>1550804362876</created>
      <option name="number" value="00116" />
      <option name="presentableId" value="LOCAL-00116" />
      <option name="project" value="LOCAL" />
      <updated>1550804362877</updated>
    </task>
    <task id="LOCAL-00117" summary="群管理可以查看用户账号">
      <created>1550817096285</created>
      <option name="number" value="00117" />
      <option name="presentableId" value="LOCAL-00117" />
      <option name="project" value="LOCAL" />
      <updated>1550817096286</updated>
    </task>
    <task id="LOCAL-00118" summary="修复群成员排序">
      <created>1550817932326</created>
      <option name="number" value="00118" />
      <option name="presentableId" value="LOCAL-00118" />
      <option name="project" value="LOCAL" />
      <updated>1550817932326</updated>
    </task>
    <task id="LOCAL-00119" summary="调整群主退群逻辑">
      <created>1550819818155</created>
      <option name="number" value="00119" />
      <option name="presentableId" value="LOCAL-00119" />
      <option name="project" value="LOCAL" />
      <updated>1550819818155</updated>
    </task>
    <task id="LOCAL-00120" summary="兼容脏数据">
      <created>1550821292811</created>
      <option name="number" value="00120" />
      <option name="presentableId" value="LOCAL-00120" />
      <option name="project" value="LOCAL" />
      <updated>1550821292811</updated>
    </task>
    <task id="LOCAL-00121" summary="参数冲突">
      <created>1550821442563</created>
      <option name="number" value="00121" />
      <option name="presentableId" value="LOCAL-00121" />
      <option name="project" value="LOCAL" />
      <updated>1550821442563</updated>
    </task>
    <task id="LOCAL-00122" summary="调整参数">
      <created>1550822369388</created>
      <option name="number" value="00122" />
      <option name="presentableId" value="LOCAL-00122" />
      <option name="project" value="LOCAL" />
      <updated>1550822369388</updated>
    </task>
    <task id="LOCAL-00123" summary="修复被撤回消息影响未读数量">
      <created>1550826626158</created>
      <option name="number" value="00123" />
      <option name="presentableId" value="LOCAL-00123" />
      <option name="project" value="LOCAL" />
      <updated>1550826626158</updated>
    </task>
    <task id="LOCAL-00124" summary="bugfix">
      <created>1550826753384</created>
      <option name="number" value="00124" />
      <option name="presentableId" value="LOCAL-00124" />
      <option name="project" value="LOCAL" />
      <updated>1550826753384</updated>
    </task>
    <task id="LOCAL-00125" summary="发送人已读序号">
      <created>1550827594409</created>
      <option name="number" value="00125" />
      <option name="presentableId" value="LOCAL-00125" />
      <option name="project" value="LOCAL" />
      <updated>1550827594409</updated>
    </task>
    <task id="LOCAL-00126" summary="记录session最后一条消息">
      <created>1550829623673</created>
      <option name="number" value="00126" />
      <option name="presentableId" value="LOCAL-00126" />
      <option name="project" value="LOCAL" />
      <updated>1550829623673</updated>
    </task>
    <task id="LOCAL-00127" summary="调整数据结构">
      <created>1550830180750</created>
      <option name="number" value="00127" />
      <option name="presentableId" value="LOCAL-00127" />
      <option name="project" value="LOCAL" />
      <updated>1550830180750</updated>
    </task>
    <task id="LOCAL-00128" summary="修改配置">
      <created>1550889754060</created>
      <option name="number" value="00128" />
      <option name="presentableId" value="LOCAL-00128" />
      <option name="project" value="LOCAL" />
      <updated>1550889754060</updated>
    </task>
    <task id="LOCAL-00129" summary="意见反馈接口">
      <created>1550912499656</created>
      <option name="number" value="00129" />
      <option name="presentableId" value="LOCAL-00129" />
      <option name="project" value="LOCAL" />
      <updated>1550912499657</updated>
    </task>
    <task id="LOCAL-00130" summary="消息类型">
      <created>1551066965362</created>
      <option name="number" value="00130" />
      <option name="presentableId" value="LOCAL-00130" />
      <option name="project" value="LOCAL" />
      <updated>1551066965363</updated>
    </task>
    <task id="LOCAL-00131" summary="remove">
      <created>1551067358301</created>
      <option name="number" value="00131" />
      <option name="presentableId" value="LOCAL-00131" />
      <option name="project" value="LOCAL" />
      <updated>1551067358301</updated>
    </task>
    <option name="localTasksCounter" value="132" />
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="277582000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="23" width="1280" height="707" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="3" />
      <window_info anchor="bottom" id="Event Log" order="7" side_tool="true" />
      <window_info anchor="bottom" id="Flutter Performance" order="8" side_tool="true" weight="0.32843137" />
      <window_info anchor="right" id="Maven Projects" order="3" />
      <window_info anchor="bottom" id="Database Changes" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Version Control" order="7" weight="0.32843137" />
      <window_info id="npm" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Terminal" order="7" />
      <window_info anchor="right" id="Flutter Outline" order="4" />
      <window_info id="Designer" order="2" />
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.28594506" />
      <window_info anchor="right" id="Database" order="3" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.3295082" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info id="UI Designer" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="right" id="Flutter Inspector" order="4" weight="0.32956383" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="right" id="Commander" order="0" weight="0.4" />
      <window_info anchor="bottom" id="Messages" order="7" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
    </layout>
    <layout-to-restore>
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info id="npm" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.2536349" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info anchor="right" id="Commander" order="0" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Version Control" order="10" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info id="Designer" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="right" id="Database" order="4" />
      <window_info anchor="right" id="Palette&#9;" order="5" />
      <window_info anchor="bottom" id="Terminal" order="8" />
      <window_info anchor="bottom" id="Event Log" order="9" side_tool="true" />
      <window_info anchor="bottom" id="Database Changes" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="right" id="Maven Projects" order="6" />
      <window_info id="Favorites" order="5" side_tool="true" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="分桶存储文件" />
    <MESSAGE value="临时图片链接" />
    <MESSAGE value="申请不发事件" />
    <MESSAGE value="删除会话功能" />
    <MESSAGE value="修改数据" />
    <MESSAGE value="管理员接口" />
    <MESSAGE value="处理头像" />
    <MESSAGE value="pin_time_int" />
    <MESSAGE value="排序" />
    <MESSAGE value="转移群主接口" />
    <MESSAGE value="群管理可以查看用户账号" />
    <MESSAGE value="修复群成员排序" />
    <MESSAGE value="调整群主退群逻辑" />
    <MESSAGE value="兼容脏数据" />
    <MESSAGE value="参数冲突" />
    <MESSAGE value="调整参数" />
    <MESSAGE value="修复被撤回消息影响未读数量" />
    <MESSAGE value="bugfix" />
    <MESSAGE value="发送人已读序号" />
    <MESSAGE value="记录session最后一条消息" />
    <MESSAGE value="调整数据结构" />
    <MESSAGE value="修改配置" />
    <MESSAGE value="意见反馈接口" />
    <MESSAGE value="消息类型" />
    <MESSAGE value="remove" />
    <option name="LAST_COMMIT_MESSAGE" value="remove" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/protected/views/test.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="234">
          <caret line="13" column="7" selection-start-line="13" selection-start-column="7" selection-end-line="13" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/models/ThirdApi.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="293">
          <caret line="61" column="32" selection-start-line="61" selection-start-column="32" selection-end-line="61" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/controllers/BaseController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="126">
          <caret line="7" column="6" selection-start-line="7" selection-start-column="6" selection-end-line="7" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/bin/test/playground.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="252">
          <caret line="19" selection-start-line="19" selection-start-column="2" selection-end-line="20" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/extensions/Utils.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="329">
          <caret line="594" column="27" selection-start-line="594" selection-start-column="27" selection-end-line="594" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$APPLICATION_PLUGINS_DIR$/php/lib/php.jar!/stubs/mysqli/mysqli.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/../../php_new/trunk/framework/phpbase2/protected/framework/lib/DB/MySQLi.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="205">
          <caret line="207" column="28" lean-forward="true" selection-start-line="207" selection-start-column="28" selection-end-line="207" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/models/UserBindInfo.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="57">
          <caret line="6" column="18" selection-start-line="6" selection-start-column="6" selection-end-line="6" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/bin/test/aes-benchmark.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="235">
          <caret line="32" column="121" selection-start-line="32" selection-start-column="121" selection-end-line="32" selection-end-column="121" />
        </state>
      </provider>
    </entry>
    <entry file="file:///Applications/GoLand.app/Contents/bin/goland.vmoptions">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="306">
          <caret line="17" column="71" selection-start-line="17" selection-start-column="71" selection-end-line="17" selection-end-column="71" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/bin/sync/syncAll.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="252">
          <caret line="19" column="25" selection-start-line="19" selection-start-column="25" selection-end-line="19" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/bin/run/test.pid">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/models/Sync/RedpackLog.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="254">
          <caret line="21" column="82" selection-start-line="21" selection-start-column="82" selection-end-line="21" selection-end-column="82" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/bin/cron/fixRedpackLog.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="770">
          <caret line="49" column="16" selection-start-line="49" selection-start-column="16" selection-end-line="49" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/models/Eos.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="363">
          <caret line="119" column="18" selection-start-line="119" selection-start-column="18" selection-end-line="119" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/models/EosBase.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="223">
          <caret line="84" column="62" selection-start-line="84" selection-start-column="56" selection-end-line="84" selection-end-column="62" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/models/RedpackLog.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="288">
          <caret line="16" column="20" selection-start-line="16" selection-start-column="20" selection-end-line="16" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/models/GroupMsg.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="882">
          <caret line="49" selection-start-line="49" selection-end-line="49" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/Library/Mobile Documents/iCloud~run~surge/Documents/ss-tokyo2.conf">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="306">
          <caret line="16" column="26" selection-start-line="16" selection-start-column="26" selection-end-line="16" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/Library/Mobile Documents/iCloud~run~surge/Documents/ss-meechat.conf">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="234">
          <caret line="12" column="103" selection-start-line="12" selection-start-column="103" selection-end-line="12" selection-end-column="103" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/models/Account.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3132">
          <caret line="177" column="27" selection-start-line="177" selection-start-column="27" selection-end-line="177" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../../php_new/trunk/framework/phpbase2/protected/framework/global_function_extend.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="205">
          <caret line="239" column="13" selection-start-line="239" selection-start-column="13" selection-end-line="239" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../../php_new/trunk/framework/phpbase2/protected/framework/lib/Tool.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="527">
          <caret line="49" column="27" selection-start-line="49" selection-start-column="27" selection-end-line="49" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/models/Sync/Base.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="224">
          <caret line="177" column="22" selection-start-line="177" selection-start-column="22" selection-end-line="177" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/models/Sync/LoginLog.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="21" column="24" selection-start-line="21" selection-start-column="24" selection-end-line="21" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../../php_new/trunk/framework/phpbase2/protected/framework/lib/Response.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-375">
          <caret line="93" column="40" selection-start-line="93" selection-start-column="35" selection-end-line="93" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../../php_new/trunk/framework/phpbase2/protected/common.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-13">
          <caret line="48" column="12" selection-start-line="48" selection-start-column="12" selection-end-line="48" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../../php_new/trunk/framework/phpbase2/protected/framework/lib/Template.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2142">
          <caret line="129" selection-start-line="129" selection-end-line="129" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/vendor/aws/aws-sdk-php/src/S3/S3Client.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="18">
          <caret line="175" column="3" selection-start-line="175" selection-start-column="3" selection-end-line="175" selection-end-column="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../../php_new/trunk/framework/phpbase2/protected/framework/lib/TableHelper.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="514">
          <caret line="395" column="13" selection-start-line="395" selection-start-column="13" selection-end-line="395" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/controllers/RedpackController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1242">
          <caret line="69" column="20" selection-start-line="69" selection-start-column="20" selection-end-line="69" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/models/FileUrl.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="648">
          <caret line="39" column="25" selection-start-line="39" selection-start-column="25" selection-end-line="39" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../../php_new/trunk/framework/phpbase2/protected/framework/Model.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="167">
          <caret line="28" selection-start-line="28" selection-end-line="30" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/bin/common.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/extensions/function_extend.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="161">
          <caret line="108" column="27" selection-start-line="108" selection-start-column="27" selection-end-line="108" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/common.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="792">
          <caret line="42" lean-forward="true" selection-start-line="42" selection-end-line="42" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/controllers/UserController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="364">
          <caret line="451" column="39" selection-start-line="451" selection-start-column="39" selection-end-line="451" selection-end-column="39" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/models/User.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="736">
          <caret line="283" column="38" selection-start-line="283" selection-start-column="38" selection-end-line="283" selection-end-column="38" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/controllers/PersonController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="464">
          <caret line="81" column="13" selection-start-line="81" selection-start-column="13" selection-end-line="81" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/models/UserGroup.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="187">
          <caret line="55" column="20" selection-start-line="55" selection-start-column="20" selection-end-line="55" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/conf/config.form.inc.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="404">
          <caret line="34" column="33" selection-start-line="34" selection-start-column="33" selection-end-line="34" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/conf/config.new.inc.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="418">
          <caret line="34" column="26" selection-start-line="34" selection-start-column="26" selection-end-line="34" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/conf/config.dev.inc.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="383">
          <caret line="34" column="10" selection-start-line="34" selection-start-column="10" selection-end-line="34" selection-end-column="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/models/GroupInfo.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="205">
          <caret line="241" column="5" selection-start-line="241" selection-start-column="5" selection-end-line="241" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/controllers/GroupController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="181">
          <caret line="887" column="5" selection-start-line="887" selection-start-column="5" selection-end-line="887" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/controllers/DefaultController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="432">
          <caret line="118" column="21" selection-start-line="118" selection-start-column="21" selection-end-line="118" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/conf/config.inc.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="385">
          <caret line="38" column="34" selection-start-line="38" selection-start-column="34" selection-end-line="38" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/controllers/SessionController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-5">
          <caret line="52" column="36" selection-start-line="52" selection-start-column="36" selection-end-line="52" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/models/Session.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="338">
          <caret line="331" column="36" lean-forward="true" selection-start-line="331" selection-start-column="36" selection-end-line="331" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/models/Sync/Redpack.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="412">
          <caret line="46" column="39" selection-start-line="46" selection-start-column="39" selection-end-line="46" selection-end-column="39" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/protected/models/Redpack.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="413">
          <caret line="138" column="56" selection-start-line="138" selection-start-column="56" selection-end-line="138" selection-end-column="56" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>No facets are configured</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>mee-chat</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
                <option value="0.6" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>